Debian Bug report logs - #693671
ITP: hupnp -- Library for building UPnP devices

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Mark Purcell <msp@debian.org>

Date: Mon, 19 Nov 2012 06:30:02 UTC

Owned by: Mark Purcell <msp@debian.org>

Severity: wishlist

Fixed in version hupnp/1.0.0-1

Done: Mark Purcell <msp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, kubuntu-devel@lists.ubuntu.com, ulysses@kubuntu.org, digikam@packages.debian.org, amarok@packages.debian.org, wnpp@debian.org:
Bug#693671; Package wnpp. (Mon, 19 Nov 2012 06:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Purcell <msp@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, kubuntu-devel@lists.ubuntu.com, ulysses@kubuntu.org, digikam@packages.debian.org, amarok@packages.debian.org, wnpp@debian.org. (Mon, 19 Nov 2012 06:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mark Purcell <msp@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: hupnp -- Library for building UPnP devices
Date: Mon, 19 Nov 2012 17:27:27 +1100
Package: wnpp
Severity: wishlist
Owner: Mark Purcell <msp@debian.org>

* Package name    : hupnp
  Version         : 1.0.0
  Upstream Author : Tuomo Penttinen <tp@herqq.org>
* URL             : http://www.herqq.com
* License         : LGPLv3 & GPLv3
  Programming Lang: C++
  Description     : Library for building UPnP devices

 Herqq UPnP (HUPnP) is a software library for building UPnP devices and control
 points conforming to the UPnP Device Architecture version 1.1.
 .
 It is designed to be simple to use and robust in operation. It is built using
 C++ and the Qt Framework following many of the design principles and
 programming practices used in the Qt Framework.
 .
 It integrates into Qt-based
 software smoothly and enables truly rapid UPnP development. 



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mark Purcell <msp@debian.org>:
Bug#693671; Package wnpp. (Mon, 19 Nov 2012 06:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Purcell <mark@purcell.id.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mark Purcell <msp@debian.org>. (Mon, 19 Nov 2012 06:42:03 GMT) Full text and rfc822 format available.

Message #10 received at 693671@bugs.debian.org (full text, mbox):

From: Mark Purcell <mark@purcell.id.au>
To: pkg-kde-extras@lists.alioth.debian.org, 693671@bugs.debian.org, debian-devel@lists.debian.org, Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>, Kristóf Kiszel <ulysses@kubuntu.org>, digikam@packages.debian.org, amarok@packages.debian.org
Subject: Re: [Pkg-kde-extras] Bug#693671: ITP: hupnp -- Library for building UPnP devices
Date: Mon, 19 Nov 2012 17:39:24 +1100
[Message part 1 (text/plain, inline)]
On Mon, 19 Nov 2012 17:27:27 Mark Purcell wrote:
> * URL             : http://www.herqq.com

Unfortunatly the correct URL should be:

	http://www.herqq.org

The other site is not PG13.

Mark
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mark Purcell <msp@debian.org>:
Bug#693671; Package wnpp. (Mon, 19 Nov 2012 07:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mark Purcell <msp@debian.org>. (Mon, 19 Nov 2012 07:51:06 GMT) Full text and rfc822 format available.

Message #15 received at 693671@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: Mark Purcell <msp@debian.org>, 693671@bugs.debian.org
Cc: Debian Developers <debian-devel@lists.debian.org>
Subject: Re: Bug#693671: ITP: hupnp -- Library for building UPnP devices
Date: Mon, 19 Nov 2012 15:48:24 +0800
On 11/19/2012 02:27 PM, Mark Purcell wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Mark Purcell <msp@debian.org>
>
> * Package name    : hupnp
>   Version         : 1.0.0
>   Upstream Author : Tuomo Penttinen <tp@herqq.org>
> * URL             : http://www.herqq.com
> * License         : LGPLv3 & GPLv3
>   Programming Lang: C++
>   Description     : Library for building UPnP devices
>
>  Herqq UPnP (HUPnP) is a software library for building UPnP devices and control
>  points conforming to the UPnP Device Architecture version 1.1.
>  .
>  It is designed to be simple to use and robust in operation. It is built using
>  C++ and the Qt Framework following many of the design principles and
>  programming practices used in the Qt Framework.
>  .
>  It integrates into Qt-based
>  software smoothly and enables truly rapid UPnP development. 
Hi,

We already have libgupnp-igd and the MiniUPnP suite. Why do we need
another implementation? What does it bring that the others don't?

Thomas




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mark Purcell <msp@debian.org>:
Bug#693671; Package wnpp. (Mon, 19 Nov 2012 08:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Purcell <mark@purcell.id.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mark Purcell <msp@debian.org>. (Mon, 19 Nov 2012 08:03:05 GMT) Full text and rfc822 format available.

Message #20 received at 693671@bugs.debian.org (full text, mbox):

From: Mark Purcell <mark@purcell.id.au>
To: Thomas Goirand <zigo@debian.org>
Cc: 693671@bugs.debian.org, digikam@packages.debian.org, amarok@packages.debian.org
Subject: Re: Bug#693671: ITP: hupnp -- Library for building UPnP devices
Date: Mon, 19 Nov 2012 18:58:24 +1100
[Message part 1 (text/plain, inline)]
On Mon, 19 Nov 2012 18:48:24 Thomas Goirand wrote:
> We already have libgupnp-igd and the MiniUPnP suite. Why do we need
> another implementation? What does it bring that the others don't?

Thomas,

Digikam is using hupnp for its UPnP interface:
https://www.google-
melange.com/gsoc/proposal/review/google/gsoc2012/smitmehta/1

Amarok is using the UPnP MediaServer KIO-slave based on hupnp:
https://gitorious.org/kio-upnp-ms

Mark
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 19 Nov 2012 19:06:03 GMT) Full text and rfc822 format available.

Reply sent to Mark Purcell <msp@debian.org>:
You have taken responsibility. (Sat, 08 Dec 2012 17:03:28 GMT) Full text and rfc822 format available.

Notification sent to Mark Purcell <msp@debian.org>:
Bug acknowledged by developer. (Sat, 08 Dec 2012 17:03:28 GMT) Full text and rfc822 format available.

Message #27 received at 693671-close@bugs.debian.org (full text, mbox):

From: Mark Purcell <msp@debian.org>
To: 693671-close@bugs.debian.org
Subject: Bug#693671: fixed in hupnp 1.0.0-1
Date: Sat, 08 Dec 2012 17:00:12 +0000
Source: hupnp
Source-Version: 1.0.0-1

We believe that the bug you reported is fixed in the latest version of
hupnp, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 693671@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Purcell <msp@debian.org> (supplier of updated hupnp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 19 Nov 2012 17:41:33 +1100
Source: hupnp
Binary: libhupnp1 libhupnp-dev libqtsolutions-soap-2.7-1
Architecture: source i386
Version: 1.0.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Changed-By: Mark Purcell <msp@debian.org>
Description: 
 libhupnp-dev - Library for building UPnP devices - development files
 libhupnp1  - Library for building UPnP devices
 libqtsolutions-soap-2.7-1 - Basic web service support - SOAP protocol
Closes: 693671
Changes: 
 hupnp (1.0.0-1) unstable; urgency=low
 .
   * New upstream release
 .
   * Initial Debian release. (Closes: #693671)
     - ITP: hupnp -- Library for building UPnP devices
   * NEW package libhupnp1 - match soname
   * Maintainer: Debian KDE Extras Team & myself to Uploaders
   * Thanks to Kristóf Kiszel and Kubuntu for packaging and maintenance
   * debian/compat -> 9
Checksums-Sha1: 
 5240b576edd166cdb1dba2c6135d837c3418f473 1288 hupnp_1.0.0-1.dsc
 b1b30fa0e1302c7e70d3e35caf894669bf5a4394 648276 hupnp_1.0.0.orig.tar.gz
 579111838a25d9f0deb5ad10b15a075ed86ec9a0 3170 hupnp_1.0.0-1.debian.tar.gz
 84e462a200ae6e974f77f7380f5ca280ec34b555 445632 libhupnp1_1.0.0-1_i386.deb
 33444a7e990a8470a2339ab3c621d0e64f02d373 94974 libhupnp-dev_1.0.0-1_i386.deb
 3c179cf1a1283518014d7e7ea2b87b19ce241079 72648 libqtsolutions-soap-2.7-1_1.0.0-1_i386.deb
Checksums-Sha256: 
 5769f9b7a2143bcab14abbfbc358490b86ab46b4e4174aef78ff282155f26e95 1288 hupnp_1.0.0-1.dsc
 193a857345d8e2cf144714547064f1bb2f3e80141ee08150573d438df99d1f94 648276 hupnp_1.0.0.orig.tar.gz
 77d6e2b7068746d5daddb8df1e2cf971caa884e6dfd4f80df84409904a106ac4 3170 hupnp_1.0.0-1.debian.tar.gz
 98704549bd9f1aa2fd9e3b38a0c4747ba24d7ee61bb021219e4932190df4580e 445632 libhupnp1_1.0.0-1_i386.deb
 ba56ba71526a48f4b177264f53b48281445afb79aa682bad24dfabf97f25afed 94974 libhupnp-dev_1.0.0-1_i386.deb
 6cec010d6c53ec8093cd077042d03814884c36daf2932da27b74431f3922cdd4 72648 libqtsolutions-soap-2.7-1_1.0.0-1_i386.deb
Files: 
 ab4e60661e6acde2e9ae0b8ab321e64e 1288 net optional hupnp_1.0.0-1.dsc
 d525ea20071bbed1365ab47d342ce9fd 648276 net optional hupnp_1.0.0.orig.tar.gz
 ef36da786b8adc48576d30a2c37c3a80 3170 net optional hupnp_1.0.0-1.debian.tar.gz
 5ea5d82516c46bcdc7ffb62612938218 445632 libs optional libhupnp1_1.0.0-1_i386.deb
 eca6b25ba340f0327a2bbbac6a4e7dba 94974 libdevel optional libhupnp-dev_1.0.0-1_i386.deb
 7237cca888cac0443013f2016f10ef59 72648 libs optional libqtsolutions-soap-2.7-1_1.0.0-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlCp3q4ACgkQoCzanz0IthKdvACfSqXoQdSpEPNPltKpOcZyGd65
9PQAn3PUxHvWaUyCuaHIALIgrFbZqv8i
=c90x
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 06 Jan 2013 07:28:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:05:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.